#!/bin/bash
echo Starting training...

# pendulum
python train.py --deq --deq_iter 6 --bsz 200 --T 5 --name test_clean --rho_init_max 100000000 --max_train_steps 10000 --solver_type al --env pendulum --H 1 --hdim 256 --nq 1 --loss_type l1 --layer_type gcn --grad_type last_step_grad --fp_type anderson --model_type deq-mpc-deq --num_trajs_frac 1.0 --streaming --streaming_start_iter 0 --streaming_steps 2 --save

# cartpole1l
# python train.py --deq --deq_iter 6 --bsz 200 --T 5 --name test_stream02 --solver_type al --env cartpole1link --rho_init_max 100000000 --H 1 --hdim 512 --nq 2 --loss_type l1 --layer_type gcn --grad_type last_step_grad --fp_type anderson --model_type diff-mpc-nn --num_trajs_frac 1.0 --streaming --streaming_start_iter 0 --streaming_steps 2 --save

# quadrotor
# python train.py --deq --deq_iter 6 --bsz 200 --T 5 --name test_stream02 --solver_type al --env rexquadrotor --rho_init_max 100000000 --H 1 --hdim 512 --nq 6 --loss_type l1 --layer_type gcn --grad_type last_step_grad --fp_type anderson --model_type deq-mpc --num_trajs_frac 1.0  --streaming --streaming_start_iter 0 --streaming_steps 2 --save

# flying cartpole
# python train.py --deq --deq_iter 6 --bsz 200 --T 5 --name test --rho_init_max 10000 --solver_type al --env FlyingCartpole --H 1 --hdim 1024 --nq 7 --loss_type l1 --layer_type gcn --grad_type last_step_grad --fp_type anderson --model_type deq-mpc --num_trajs_frac 1.0 

# flying cartpole with obstacles
# python train.py --deq --deq_iter 6 --bsz 200 --T 5 --name test_obsr05_stream02 --solver_type al --env FlyingCartpole_obstacles --rho_init_max 100000000 --H 1 --hdim 1024 --nq 7 --loss_type l1 --layer_type gcn --grad_type last_step_grad --fp_type anderson --model_type diff-mpc-nn --num_trajs_frac 1.0  --streaming --streaming_start_iter 0 --streaming_steps 2 --save